open Meat

let () =
  match Sys.getenv_opt "NH_FLAKE" with
  | Some _ ->
      if Array.length Sys.argv >= 2 then
        match String.lowercase_ascii (Array.get Sys.argv 1) with
        | "yum" -> yum ()
        | "cook" -> cook ()
        | "poke" -> poke ()
        | "gut" -> gut ()
        | "look" -> look ()
        | "fresh" -> fresh ()
        | _ -> help ()
      else help ()
  | None ->
      meat_print "NO PATH TO RUNESTONE FOUND!";
      help ()
